Index: plugins/aboutConfig/_define.php
===================================================================
--- plugins/aboutConfig/_define.php	(revision 967)
+++ plugins/aboutConfig/_define.php	(revision 589)
@@ -16,5 +16,5 @@
 	/* Description*/		"Manage every blog configuration directive",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'0.5'
+	/* Version */			'0.4'
 );
 ?>
Index: plugins/aboutConfig/index.php
===================================================================
--- plugins/aboutConfig/index.php	(revision 907)
+++ plugins/aboutConfig/index.php	(revision 589)
@@ -121,9 +121,9 @@
 <?php
 if (!empty($_GET['upd'])) {
-	dcPage::message(__('Configuration successfully updated'));
+	echo '<p class="message">'.__('Configuration successfully updated').'</p>';
 }
 
 if (!empty($_GET['upda'])) {
-	dcPage::message(__('Settings definition successfully updated'));
+	echo '<p class="message">'.__('Settings definition successfully updated').'</p>';
 }
 ?>
Index: plugins/antispam/_define.php
===================================================================
--- plugins/antispam/_define.php	(revision 967)
+++ plugins/antispam/_define.php	(revision 464)
@@ -16,5 +16,5 @@
 	/* Description*/		"Generic antispam plugin for Dotclear",
 	/* Author */			"Alain Vagner",
-	/* Version */			'1.4',
+	/* Version */			'1.3.1',
 	array(
 		'permissions' =>	'usage,contentadmin',
Index: plugins/antispam/_prepend.php
===================================================================
--- plugins/antispam/_prepend.php	(revision 920)
+++ plugins/antispam/_prepend.php	(revision 270)
@@ -24,5 +24,5 @@
 $__autoload['dcFilterWords'] = dirname(__FILE__).'/filters/class.dc.filter.words.php';
 
-$core->spamfilters = array('dcFilterIP','dcFilterIpLookup','dcFilterWords','dcFilterLinksLookup');
+$core->spamfilters = array('dcFilterIP','dcFilterWords','dcFilterIpLookup','dcFilterLinksLookup');
 
 $core->url->register('spamfeed','spamfeed','^spamfeed/(.+)$',array('dcAntispamURL','spamFeed'));
Index: plugins/antispam/filters/class.dc.filter.ip.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.ip.php	(revision 907)
+++ plugins/antispam/filters/class.dc.filter.ip.php	(revision 536)
@@ -103,8 +103,8 @@
 
 		if (!empty($_GET['added'])) {
-			$res .= dcPage::message(__('IP address has been successfully added.'),true,false,false);
+			$res .= '<p class="message">'.__('IP address has been successfully added.').'</p>';
 		}
 		if (!empty($_GET['removed'])) {
-			$res .= dcPage::message(__('IP addresses have been successfully removed.'),true,false,false);
+			$res .= '<p class="message">'.__('IP addresses have been successfully removed.').'</p>';
 		}
 
@@ -130,5 +130,5 @@
 		if ($core->auth->isSuperAdmin()) {
 			$res .= '<label class="classic" for="globalip_'.$type.'">'.form::checkbox(array('globalip', 'globalip_'.$type),1).' '.
-			__('Global IP (used for all blogs)').'</label> ';
+			__('Global IP').'</label> ';
 		}
 
@@ -152,6 +152,4 @@
 			'<div style="'.$this->style_list.'">';
 
-			$res_global = '';
-			$res_local = '';
 			while ($rs->fetch())
 			{
@@ -168,26 +166,10 @@
 				}
 
-				$item =
+				$res .=
 				'<p style="'.$p_style.'"><label class="classic" for="'.$type.'-ip-'.$rs->rule_id.'">'.
 				form::checkbox(array('delip[]',$type.'-ip-'.$rs->rule_id),$rs->rule_id,false,'','',$disabled_ip).' '.
 				html::escapeHTML($pattern).
 				'</label></p>';
-
-				if ($rs->blog_id) {
-					// local list
-					if ($res_local == '') {
-						$res_local = '<h4>'.__('Local IPs (used only for this blog)').'</h4>';
-					}
-					$res_local .= $item;
-				} else {
-					// global list
-					if ($res_global == '') {
-						$res_global = '<h4>'.__('Global IPs (used for all blogs)').'</h4>';
-					}
-					$res_global .= $item;
-				}
-			}
-			$res .= $res_local.$res_global;
-
+			}
 			$res .=
 			'</div>'.
Index: plugins/antispam/filters/class.dc.filter.linkslookup.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.linkslookup.php	(revision 913)
+++ plugins/antispam/filters/class.dc.filter.linkslookup.php	(revision 270)
@@ -43,20 +43,12 @@
 				continue;
 			}
-
-			$domain = preg_replace('/^[\w]{2,6}:\/\/([\w\d\.\-]+).*$/','$1',$b['host']);
-			$domain_elem = explode(".",$domain);
-
-			$i = count($domain_elem) - 1;
-			$host = $domain_elem[$i];
-			do
-			{
-				$host = $domain_elem[$i - 1].'.'.$host;
-				$i--;
-				if (substr(gethostbyname($host.'.'.$this->server),0,3) == "127" ) 
-				{
-					$status = substr($domain,0,128);
-					return true;
-				}				
-			} while ($i > 0);
+			
+			$domain = preg_replace('/^(.*\.)([^.]+\.[^.]+)$/','$2',$b['host']);
+			$host = $domain.'.'.$this->server;
+			
+			if (gethostbyname($host) != $host) {
+				$status = substr($domain,0,128);
+				return true;
+			}
 		}
 	}
Index: plugins/antispam/filters/class.dc.filter.words.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.words.php	(revision 907)
+++ plugins/antispam/filters/class.dc.filter.words.php	(revision 536)
@@ -109,11 +109,11 @@
 
 		if (!empty($_GET['list'])) {
-			$res .= dcPage::message(__('Words have been successfully added.'),true,false,false);
+			$res .= '<p class="message">'.__('Words have been successfully added.').'</p>';
 		}
 		if (!empty($_GET['added'])) {
-			$res .= dcPage::message(__('Word has been successfully added.'),true,false,false);
+			$res .= '<p class="message">'.__('Word has been successfully added.').'</p>';
 		}
 		if (!empty($_GET['removed'])) {
-			$res .= dcPage::message(__('Words have been successfully removed.'),true,false,false);
+			$res .= '<p class="message">'.__('Words have been successfully removed.').'</p>';
 		}
 
@@ -124,5 +124,5 @@
 		if ($core->auth->isSuperAdmin()) {
 			$res .= '<label class="classic" for="globalsw">'.form::checkbox('globalsw',1).' '.
-			__('Global word (used for all blogs)').'</label> ';
+			__('Global word').'</label> ';
 		}
 
@@ -145,6 +145,4 @@
 			'<div style="'.$this->style_list.'">';
 
-			$res_global = '';
-			$res_local = '';
 			while ($rs->fetch())
 			{
@@ -156,24 +154,10 @@
 				}
 
-				$item = '<p style="'.$p_style.'"><label class="classic" for="word-'.$rs->rule_id.'">'.
-					form::checkbox(array('swd[]', 'word-'.$rs->rule_id),$rs->rule_id,false,'','',$disabled_word).' '.
-					html::escapeHTML($rs->rule_content).
-					'</label></p>';
-
-				if ($rs->blog_id) {
-					// local list
-					if ($res_local == '') {
-						$res_local = '<h4>'.__('Local words (used only for this blog)').'</h4>';
-					}
-					$res_local .= $item;
-				} else {
-					// global list
-					if ($res_global == '') {
-						$res_global = '<h4>'.__('Global words (used for all blogs)').'</h4>';
-					}
-					$res_global .= $item;
-				}
-			}
-			$res .= $res_local.$res_global;
+				$res .=
+				'<p style="'.$p_style.'"><label class="classic" for="word-'.$rs->rule_id.'">'.
+				form::checkbox(array('swd[]', 'word-'.$rs->rule_id),$rs->rule_id,false,'','',$disabled_word).' '.
+				html::escapeHTML($rs->rule_content).
+				'</label></p>';
+			}
 
 			$res .=
Index: plugins/antispam/index.php
===================================================================
--- plugins/antispam/index.php	(revision 907)
+++ plugins/antispam/index.php	(revision 776)
@@ -99,5 +99,5 @@
 <html>
 <head>
-  <title><?php echo ($filter_gui !== false ? sprintf(__('%s configuration'),$filter->name).' - ' : '').$page_name; ?></title>
+  <title><?php echo $page_name; ?></title>
   <?php
   echo
@@ -132,5 +132,5 @@
 
 	if (!empty($_GET['del'])) {
-		dcPage::message(__('Spam comments have been successfully deleted.'));
+		echo '<p class="message">'.__('Spam comments have been successfully deleted.').'</p>';
 	}
 
@@ -163,5 +163,5 @@
 
 	if (!empty($_GET['upd'])) {
-		dcPage::message(__('Filters configuration has been successfully saved.'));
+		echo '<p class="message">'.__('Filters configuration has been successfully saved.').'</p>';
 	}
 
Index: plugins/attachments/_define.php
===================================================================
--- plugins/attachments/_define.php	(revision 967)
+++ plugins/attachments/_define.php	(revision 843)
@@ -16,5 +16,5 @@
 	/* Description*/	"Manage post attachments",
 	/* Author */		"Dotclear Team",
-	/* Version */		'1.1',
+	/* Version */		'1.0',
 	array(
 		'permissions' =>	'usage,contentadmin,pages',
Index: plugins/attachments/_public.php
===================================================================
--- plugins/attachments/_public.php	(revision 944)
+++ plugins/attachments/_public.php	(revision 464)
@@ -89,5 +89,5 @@
 		$if = array();
 		
-		$operator = isset($attr['operator']) ? dcTemplate::getOperator($attr['operator']) : '&&';
+		$operator = isset($attr['operator']) ? $this->getOperator($attr['operator']) : '&&';
 		
 		if (isset($attr['is_image'])) {
Index: plugins/blogroll/_define.php
===================================================================
--- plugins/blogroll/_define.php	(revision 965)
+++ plugins/blogroll/_define.php	(revision 464)
@@ -16,5 +16,5 @@
 	/* Description*/		"Manage your blogroll",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'1.3',
+	/* Version */			'1.2',
 	array(
 		'permissions' =>	'blogroll'
Index: plugins/blogroll/_public.php
===================================================================
--- plugins/blogroll/_public.php	(revision 945)
+++ plugins/blogroll/_public.php	(revision 776)
@@ -140,6 +140,5 @@
 		global $core;
 		
-		if (($w->homeonly == 1 && $core->url->type != 'default') ||
-			($w->homeonly == 2 && $core->url->type == 'default')) {
+		if ($w->homeonly && $core->url->type != 'default') {
 			return;
 		}
@@ -152,5 +151,5 @@
 		
 		return
-		'<div class="links'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">'.
+		'<div class="links">'.
 		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		$links.
Index: plugins/blogroll/_widgets.php
===================================================================
--- plugins/blogroll/_widgets.php	(revision 954)
+++ plugins/blogroll/_widgets.php	(revision 270)
@@ -19,5 +19,5 @@
 	public static function initWidgets($w)
 	{
-		$w->create('links',__('Blogroll'),array('tplBlogroll','linksWidget'),null,'Blogroll list');
+		$w->create('links',__('Blogroll'),array('tplBlogroll','linksWidget'));
 		$w->links->setting('title',__('Title:'),__('Links'));
 		
@@ -34,12 +34,5 @@
 		$w->links->setting('category',__('Category'),'','combo',$categories);
 		
-		$w->links->setting('homeonly',__('Display on:'),1,'combo',
-			array(
-				__('All pages') => 0,
-				__('Home page only') => 1,
-				__('Except on home page') => 2
-				)
-		);
-		$w->links->setting('class',__('CSS class:'),'');
+		$w->links->setting('homeonly',__('Home page only'),1,'check');
 	}
 	
Index: plugins/blogroll/edit.php
===================================================================
--- plugins/blogroll/edit.php	(revision 907)
+++ plugins/blogroll/edit.php	(revision 270)
@@ -101,5 +101,5 @@
 {
 	if (!empty($_GET['upd'])) {
-		dcPage::message(__('Category has been successfully updated'));
+		echo '<p class="message">'.__('Category has been successfully updated').'</p>';
 	}
 	
@@ -121,5 +121,5 @@
 {
 	if (!empty($_GET['upd'])) {
-		dcPage::message(__('Link has been successfully updated'));
+		echo '<p class="message">'.__('Link has been successfully updated').'</p>';
 	}
 	
Index: plugins/blogroll/index.php
===================================================================
--- plugins/blogroll/index.php	(revision 987)
+++ plugins/blogroll/index.php	(revision 717)
@@ -219,21 +219,21 @@
 <?php
 if (!empty($_GET['neworder'])) {
-	dcPage::message(__('Items order has been successfully updated'));
+	echo '<p class="message">'.__('Items order has been successfully updated').'</p>';
 }
 
 if (!empty($_GET['removed'])) {
-	dcPage::message(__('Items have been successfully removed.'));
+		echo '<p class="message">'.__('Items have been successfully removed.').'</p>';
 }
 
 if (!empty($_GET['addlink'])) {
-	dcPage::message(__('Link has been successfully created.'));
+		echo '<p class="message">'.__('Link has been successfully created.').'</p>';
 }
 
 if (!empty($_GET['addcat'])) {
-	dcPage::message(__('category has been successfully created.'));
+		echo '<p class="message">'.__('category has been successfully created.').'</p>';
 }
 
 if (!empty($_GET['importlinks'])) {
-	dcPage::message(__('links have been successfully imported.'));
+		echo '<p class="message">'.__('links have been successfully imported.').'</p>';
 }
 ?>
@@ -309,5 +309,5 @@
 '<div class="multi-part clear" id="add-link" title="'.__('Add a link').'">'.
 '<form action="plugin.php" method="post" id="add-link-form">'.
-'<fieldset><legend>'.__('Add a new link').'</legend>'.
+'<fieldset class="two-cols"><legend>'.__('Add a new link').'</legend>'.
 '<p class="col"><label for="link_title" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').' '.
 form::field('link_title',30,255,$link_title).
Index: plugins/blowupConfig/_define.php
===================================================================
--- plugins/blowupConfig/_define.php	(revision 967)
+++ plugins/blowupConfig/_define.php	(revision 464)
@@ -16,5 +16,5 @@
 	/* Description*/		"Configure your Blowup Theme",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'1.2',
+	/* Version */			'1.1',
 	array(
 		'permissions' =>	'admin'
Index: plugins/blowupConfig/index.php
===================================================================
--- plugins/blowupConfig/index.php	(revision 994)
+++ plugins/blowupConfig/index.php	(revision 683)
@@ -228,10 +228,11 @@
 
 if (!$can_write_images) {
-	dcPage::message(__('For the following reasons, images cannot be created. You won\'t be able to change some background properties.').
-		$notices,false,true);
+	echo '<div class="message">'.
+		__('For the following reasons, images cannot be created. You won\'t be able to change some background properties.').
+		$notices.'</div>';
 }
 
 if (!empty($_GET['upd'])) {
-	dcPage::message(__('Theme configuration has been successfully updated.'));
+	echo '<p class="message">'.__('Theme configuration has been successfully updated.').'</p>';
 }
 
@@ -431,7 +432,5 @@
 echo
 '<fieldset><legend>'.__('Additional CSS').'</legend>'.
-'<p><label for="extra_css">'.__('Any additional CSS styles (must be written using the CSS syntax):').' '.
-form::textarea('extra_css',72,5,html::escapeHTML($blowup_user['extra_css']),'maximal','',false,'title="'.__('Additional CSS').'"').
-'</label></p>'.
+'<p>'.form::textarea('extra_css',72,5,html::escapeHTML($blowup_user['extra_css']),'maximal','',false,'title="'.__('Additional CSS').'"').'</p>'.
 '</fieldset>';
 
Index: plugins/importExport/_define.php
===================================================================
--- plugins/importExport/_define.php	(revision 967)
+++ plugins/importExport/_define.php	(revision 841)
@@ -16,5 +16,5 @@
 	/* Description*/		"Import and Export your blog",
 	/* Author */			"Olivier Meunier & Contributors",
-	/* Version */			'3.2',
+	/* Version */			'3.1',
 	/* Perm */			'admin'
 );
Index: plugins/importExport/_prepend.php
===================================================================
--- plugins/importExport/_prepend.php	(revision 891)
+++ plugins/importExport/_prepend.php	(revision 857)
@@ -32,12 +32,12 @@
 function registerIeModules($modules)
 {
-	$modules['import'] = array_merge($modules['import'],array('dcImportFlat'));
-	$modules['import'] = array_merge($modules['import'],array('dcImportFeed'));
+	$modules['import'][] = 'dcImportFlat';
+	$modules['import'][] = 'dcImportFeed';
 	
-	$modules['export'] = array_merge($modules['export'],array('dcExportFlat'));
+	$modules['export'][] = 'dcExportFlat';
 	
 	if ($GLOBALS['core']->auth->isSuperAdmin()) {
-		$modules['import'] = array_merge($modules['import'],array('dcImportDC1'));
-		$modules['import'] = array_merge($modules['import'],array('dcImportWP'));
+		$modules['import'][] = 'dcImportDC1';
+		$modules['import'][] = 'dcImportWP';
 	}
 }
Index: plugins/importExport/inc/class.dc.import.feed.php
===================================================================
--- plugins/importExport/inc/class.dc.import.feed.php	(revision 907)
+++ plugins/importExport/inc/class.dc.import.feed.php	(revision 840)
@@ -77,5 +77,5 @@
 	{
 		if ($this->status) {
-			dcPage::message(__('Content successfully imported.'));
+			echo '<p class="message">'.__('Content successfully imported.').'</p>';
 		}
 		
Index: plugins/importExport/inc/class.dc.import.flat.php
===================================================================
--- plugins/importExport/inc/class.dc.import.flat.php	(revision 939)
+++ plugins/importExport/inc/class.dc.import.flat.php	(revision 840)
@@ -142,10 +142,10 @@
 		if ($this->status == 'single')
 		{
-			dcPage::message(__('Single blog successfully imported.'));
+			echo '<p class="message">'.__('Single blog successfully imported.').'</p>';
 			return;
 		}
 		if ($this->status == 'full')
 		{
-			dcPage::message(__('Content successfully imported.'));
+			echo '<p class="message">'.__('Content successfully imported.').'</p>';
 			return;
 		}
@@ -184,6 +184,5 @@
 		'<p>'.sprintf(__('This will import a single blog backup as new content in the current blog: %s.'),html::escapeHTML($this->core->blog->name)).'</p>'.
 		
-		'<p><label for="up_single_file">'.__('Upload a backup file').
-		' ('.sprintf(__('Maximum size %s'),files::size(DC_MAX_UPLOAD_SIZE)).')'.'</label>'.
+		'<p><label for="up_single_file">'.__('Upload a backup file').'</label>'.
 		'<input type="file" id="up_single_file" name="up_single_file" size="20" />'.
 		'</p>';
@@ -213,6 +212,5 @@
 			'<p>'.__('This will reset all the content of your database, except users.').'</p>'.
 			
-			'<p><label for="up_full_file">'.__('Upload a backup file').
-			' ('.sprintf(__('Maximum size %s'),files::size(DC_MAX_UPLOAD_SIZE)).')'.'</label>'.
+			'<p><label for="up_full_file">'.__('Upload a backup file').'</label>'.
 			'<input type="file" id="up_full_file" name="up_full_file" size="20" />'.
 			'</p>';
Index: plugins/importExport/inc/flat/class.flat.backup.php
===================================================================
--- plugins/importExport/inc/flat/class.flat.backup.php	(revision 894)
+++ plugins/importExport/inc/flat/class.flat.backup.php	(revision 841)
@@ -61,5 +61,5 @@
 		{
 			$line = preg_replace('/^"|"$/','',$line);
-			$line = preg_split('/(^"|","|(?<!\\\)\"$)/m',$line);
+			$line = preg_split('/(^"|","|"$)/m',$line);
 			
 			if (count($this->line_cols) != count($line)) {
Index: plugins/maintenance/_define.php
===================================================================
--- plugins/maintenance/_define.php	(revision 967)
+++ plugins/maintenance/_define.php	(revision 464)
@@ -16,5 +16,5 @@
 	/* Description*/		"Maintain your database",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'1.2'
+	/* Version */			'1.1'
 );
 ?>
Index: plugins/maintenance/index.php
===================================================================
--- plugins/maintenance/index.php	(revision 907)
+++ plugins/maintenance/index.php	(revision 500)
@@ -73,14 +73,14 @@
 <?php
 if (!empty($_GET['vacuum'])) {
-	dcPage::message(__('Optimization successful.'));
+	echo '<p class="message">'.__('Optimization successful.').'</p>';
 }
 if (!empty($_GET['commentscount'])) {
-	dcPage::message(__('Comments and trackback counted.'));
+	echo '<p class="message">'.__('Comments and trackback counted.').'</p>';
 }
 if (!empty($_GET['empty_cache'])) {
-	dcPage::message(__('Templates cache directory emptied.'));
+	echo '<p class="message">'.__('Templates cache directory emptied.').'</p>';
 }
 if (!empty($_GET['delete_logs'])) {
-	dcPage::message(__('Logs deleted.'));
+	echo '<p class="message">'.__('Logs deleted.').'</p>';
 }
 
@@ -105,5 +105,5 @@
 	else
 	{
-		dcPage::message(__('Entries index done.'));
+		echo '<p class="message">'.__('Entries index done.').'</p>';
 		echo '<p><a class="back" href="'.$p_url.'">'.__('Back').'</a></p>';
 	}
@@ -129,5 +129,5 @@
 	else
 	{
-		dcPage::message(__('Comments index done.'));
+		echo '<p class="message">'.__('Comments index done.').'</p>';
 		echo '<p><a class="back" href="'.$p_url.'">'.__('Back').'</a></p>';
 	}
Index: plugins/pages/_define.php
===================================================================
--- plugins/pages/_define.php	(revision 965)
+++ plugins/pages/_define.php	(revision 464)
@@ -16,5 +16,5 @@
 	/* Description*/	"Serve entries as simple web pages",
 	/* Author */		"Olivier Meunier",
-	/* Version */		'1.2',
+	/* Version */		'1.1.1',
 	array(
 		'permissions' =>	'contentadmin,pages',
Index: plugins/pages/_public.php
===================================================================
--- plugins/pages/_public.php	(revision 945)
+++ plugins/pages/_public.php	(revision 727)
@@ -221,6 +221,5 @@
 		global $core, $_ctx;
 		
-		if (($w->homeonly == 1 && $core->url->type != 'default') ||
-			($w->homeonly == 2 && $core->url->type == 'default')) {
+		if ($w->homeonly && $core->url->type != 'default') {
 			return;
 		}
@@ -229,5 +228,4 @@
 		$params['limit'] = abs((integer) $w->limit);
 		$params['no_content'] = true;
-		$params['post_selected'] = false;
 		
 		$sort = $w->sortby;
@@ -249,5 +247,5 @@
 		
 		$res =
-		'<div class="pages'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">'.
+		'<div class="pages">'.
 		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		'<ul>';
Index: plugins/pages/_widgets.php
===================================================================
--- plugins/pages/_widgets.php	(revision 954)
+++ plugins/pages/_widgets.php	(revision 270)
@@ -19,13 +19,7 @@
 	public static function initWidgets($w)
 	{
-		$w->create('pages',__('Pages'),array('tplPages','pagesWidget'),null,'List of published pages');
+		$w->create('pages',__('Pages'),array('tplPages','pagesWidget'));
 		$w->pages->setting('title',__('Title:'),__('Pages'));
-		$w->pages->setting('homeonly',__('Display on:'),1,'combo',
-			array(
-				__('All pages') => 0,
-				__('Home page only') => 1,
-				__('Except on home page') => 2
-				)
-		);
+		$w->pages->setting('homeonly',__('Home page only'),1,'check');
 		$w->pages->setting('sortby',__('Order by:'),'post_title','combo',
 			array(
@@ -38,5 +32,4 @@
 			array(__('Ascending') => 'asc', __('Descending') => 'desc')
 		);
-		$w->pages->setting('class',__('CSS class:'),'');
 	}
 	
Index: plugins/pages/list.php
===================================================================
--- plugins/pages/list.php	(revision 911)
+++ plugins/pages/list.php	(revision 578)
@@ -86,5 +86,5 @@
 		$selected = '';
 		if ($this->rs->post_selected) {
-			$selected = sprintf($img,__('hidden'),'hidden.png');
+			$selected = sprintf($img,__('selected'),'selected.png');
 		}
 		
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 986)
+++ plugins/pages/page.php	(revision 776)
@@ -31,5 +31,4 @@
 $post_open_comment = false;
 $post_open_tb = false;
-$post_selected = false;
 
 $post_media = array();
@@ -56,5 +55,4 @@
 	$status_combo[$v] = (string) $k;
 }
-$img_status_pattern = '<img class="img_select_option" alt="%1$s" title="%1$s" src="images/%2$s" />';
 
 # Formaters combo
@@ -78,6 +76,4 @@
 unset($rs);
 
-# Validation flag
-$bad_dt = false;
 
 # Get page informations
@@ -112,5 +108,4 @@
 		$post_open_comment = (boolean) $post->post_open_comment;
 		$post_open_tb = (boolean) $post->post_open_tb;
-		$post_selected = (boolean) $post->post_selected;
 		
 		$page_title = __('Edit page');
@@ -159,22 +154,10 @@
 		$post_dt = '';
 	} else {
-		try
-		{
-			$post_dt = strtotime($_POST['post_dt']);
-			if ($post_dt == false || $post_dt == -1) {
-				$bad_dt = true;
-				throw new Exception(__('Invalid publication date'));
-			}
-			$post_dt = date('Y-m-d H:i',$post_dt);
-		}
-		catch (Exception $e)
-		{
-			$core->error->add($e->getMessage());
-		}
+		$post_dt = strtotime($_POST['post_dt']);
+		$post_dt = date('Y-m-d H:i',$post_dt);
 	}
 	
 	$post_open_comment = !empty($_POST['post_open_comment']);
 	$post_open_tb = !empty($_POST['post_open_tb']);
-	$post_selected = !empty($_POST['post_selected']);
 	$post_lang = $_POST['post_lang'];
 	$post_password = !empty($_POST['post_password']) ? $_POST['post_password'] : null;
@@ -194,5 +177,5 @@
 
 # Create or update post
-if (!empty($_POST) && !empty($_POST['save']) && $can_edit_page && !$bad_dt)
+if (!empty($_POST) && !empty($_POST['save']) && $can_edit_page)
 {
 	$cur = $core->con->openCursor($core->prefix.'post');
@@ -217,5 +200,4 @@
 	$cur->post_open_comment = (integer) $post_open_comment;
 	$cur->post_open_tb = (integer) $post_open_tb;
-	$cur->post_selected = (integer) $post_selected;
 	
 	if (isset($_POST['post_url'])) {
@@ -315,14 +297,14 @@
 
 if (!empty($_GET['upd'])) {
-	dcPage::message(__('Page has been successfully updated.'));
+		echo '<p class="message">'.__('Page has been successfully updated.').'</p>';
 }
 elseif (!empty($_GET['crea'])) {
-	dcPage::message(__('Page has been successfully created.'));
+		echo '<p class="message">'.__('Page has been successfully created.').'</p>';
 }
 elseif (!empty($_GET['attached'])) {
-	dcPage::message(__('File has been successfully attached.'));
+	echo '<p class="message">'.__('File has been successfully attached.').'</p>';
 }
 elseif (!empty($_GET['rmattach'])) {
-	dcPage::message(__('Attachment has been successfully removed.'));
+	echo '<p class="message">'.__('Attachment has been successfully removed.').'</p>';
 }
 
@@ -334,5 +316,5 @@
 	$post_format = 'xhtml';
 	
-	dcPage::message(__('Don\'t forget to validate your XHTML conversion by saving your post.'));
+	echo '<p class="message">'.__('Don\'t forget to validate your XHTML conversion by saving your post.').'</p>';
 }
 
@@ -340,21 +322,5 @@
 ' &rsaquo; <a href="'.$p_url.'">'.__('Pages').'</a> &rsaquo; <span class="page-title">'.$page_title; 
 	if ($post_id) {
-		switch ($post_status) {
-			case 1:
-				$img_status = sprintf($img_status_pattern,__('published'),'check-on.png');
-				break;
-			case 0:
-				$img_status = sprintf($img_status_pattern,__('unpublished'),'check-off.png');
-				break;
-			case -1:
-				$img_status = sprintf($img_status_pattern,__('scheduled'),'scheduled.png');
-				break;
-			case -2:
-				$img_status = sprintf($img_status_pattern,__('pending'),'check-wrn.png');
-				break;
-			default:
-				$img_status = '';
-		}
-		echo ' &ldquo;'.$post_title.'&rdquo;'.' '.$img_status;
+		echo ' &ldquo;'.$post_title.'&rdquo;';
 	}
 echo	'</span></h2>';
@@ -449,5 +415,5 @@
 	
 	'<p><label for="post_dt">'.__('Published on:').
-	form::field('post_dt',16,16,$post_dt,($bad_dt ? 'invalid' : '')).'</label></p>'.
+	form::field('post_dt',16,16,$post_dt).'</label></p>'.
 	
 	'<p><label for="post_format">'.__('Text formating:').
@@ -458,24 +424,7 @@
 	'<p><label for="post_open_comment" class="classic">'.form::checkbox('post_open_comment',1,$post_open_comment).' '.
 	__('Accept comments').'</label></p>'.
-	($core->blog->settings->system->allow_comments ? 
-		(isContributionAllowed($post_id,strtotime($post_dt),true) ? 
-			'' :
-			'<p class="form-note warn">'.__('Warning: Comments are not more accepted for this page.').'</p>') : 
-		'<p class="form-note warn">'.__('Warning: Comments are not accepted on this blog.').'</p>').
-
 	'<p><label for="post_open_tb" class="classic">'.form::checkbox('post_open_tb',1,$post_open_tb).' '.
 	__('Accept trackbacks').'</label></p>'.
-	($core->blog->settings->system->allow_trackbacks ? 
-		(isContributionAllowed($post_id,strtotime($post_dt),false) ? 
-			'' :
-			'<p class="form-note warn">'.__('Warning: Trackbacks are not more accepted for this page.').'</p>') : 
-		'<p class="form-note warn">'.__('Warning: Trackbacks are not accepted on this blog.').'</p>').
-	
-	'<p><label for="post_selected" class="classic">'.form::checkbox('post_selected',1,$post_selected).' '.
-	__('Hide').'</label></p>'.
-	'<p class="form-note">'.
-	__('If checked this page will be active but not listed in widget Pages.').
-	'</p>'.
-
+	
 	'<p><label for="post_position" class="classic">'.__('Page position:').' '.
 	form::field('post_position',3,3,(string) $post_position).
@@ -654,25 +603,4 @@
 }
 
-# Controls comments or trakbacks capabilities
-function isContributionAllowed($id,$dt,$com=true)
-{
-	global $core;
-
-	if (!$id) {
-		return true;
-	}
-	if ($com) {
-		if (($core->blog->settings->system->comments_ttl == 0) || 
-			(time() - $core->blog->settings->system->comments_ttl*86400 < $dt)) {
-			return true;
-		}
-	} else {
-		if (($core->blog->settings->system->trackbacks_ttl == 0) || 
-			(time() - $core->blog->settings->system->trackbacks_ttl*86400 < $dt)) {
-			return true;
-		}
-	}
-	return false;
-}
 
 # Show comments or trackbacks
Index: plugins/pings/_define.php
===================================================================
--- plugins/pings/_define.php	(revision 967)
+++ plugins/pings/_define.php	(revision 464)
@@ -16,5 +16,5 @@
 	/* Description*/		"Ping services",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'1.2',
+	/* Version */			'1.1',
 	array(
 		'permissions' =>	'usage,contentadmin'
Index: plugins/pings/index.php
===================================================================
--- plugins/pings/index.php	(revision 907)
+++ plugins/pings/index.php	(revision 500)
@@ -54,5 +54,5 @@
 
 if (!empty($_GET['up'])) {
-	dcPage::message(__('Settings have been successfully updated.'));
+	echo '<p class="message">'.__('Settings have been successfully updated.').'</p>';
 }
 
Index: plugins/simpleMenu/_define.php
===================================================================
--- plugins/simpleMenu/_define.php	(revision 967)
+++ plugins/simpleMenu/_define.php	(revision 685)
@@ -16,5 +16,5 @@
 	/* Description*/		"Simple menu for Dotclear",
 	/* Author */			"Franck Paul",
-	/* Version */			'1.1',
+	/* Version */			'1.0',
 	array(
 		'permissions' =>	'admin'
Index: plugins/simpleMenu/_public.php
===================================================================
--- plugins/simpleMenu/_public.php	(revision 945)
+++ plugins/simpleMenu/_public.php	(revision 683)
@@ -42,6 +42,5 @@
 		global $core, $_ctx;
 		
-		if (($w->homeonly == 1 && $core->url->type != 'default') ||
-			($w->homeonly == 2 && $core->url->type == 'default')) {
+		if ($w->homeonly && $core->url->type != 'default') {
 			return;
 		}
@@ -52,7 +51,5 @@
 		}
 
-		return '<div class="simple-menu'.
-			($w->class ? ' '.html::escapeHTML($w->class) : '').'">'.
-			($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').$menu.'</div>';
+		return '<div class="simple-menu">'.($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').$menu.'</div>';
 	}
 	
Index: plugins/simpleMenu/_widgets.php
===================================================================
--- plugins/simpleMenu/_widgets.php	(revision 954)
+++ plugins/simpleMenu/_widgets.php	(revision 587)
@@ -18,14 +18,7 @@
 	public static function initWidgets($w)
 	{
-		$w->create('simplemenu',__('Simple menu'),array('tplSimpleMenu','simpleMenuWidget'),null,'List of simple menu items');
+		$w->create('simplemenu',__('Simple menu'),array('tplSimpleMenu','simpleMenuWidget'));
 		$w->simplemenu->setting('title',__('Title:'),__('Menu'));
-		$w->simplemenu->setting('homeonly',__('Display on:'),0,'combo',
-			array(
-				__('All pages') => 0,
-				__('Home page only') => 1,
-				__('Except on home page') => 2
-				)
-		);
-		$w->simplemenu->setting('class',__('CSS class:'),'');
+		$w->simplemenu->setting('homeonly',__('Home page only'),1,'check');
 	}
 }
